var e = require("../../common/vendor.js");
Array || e.resolveComponent("uni-popup")(), Math;
var n = {
    __name: "index",
    props: {
      visible: { type: Boolean, default: !1 },
      copyVin: { type: String, default: "" },
    },
    emits: ["cancel", "confirm"],
    setup: function (n, o) {
      var t = o.emit,
        c = n,
        i = e.ref(null);
      e.watch(
        function () {
          return c.visible;
        },
        function () {
          c.visible ? i.value.open() : i.value.close();
        }
      );
      var r = function (e) {
          e.show || t("cancel");
        },
        a = function () {
          t("cancel");
        },
        u = function () {
          t("confirm");
        };
      return function (o, t) {
        return {
          a: e.t(n.copyVin),
          b: e.o(a),
          c: e.o(u),
          d: e.sr(i, "fa16f1de-0", { k: "popup" }),
          e: e.o(r),
          f: e.p({ type: "center", "is-mask-click": !1, animation: !0 }),
        };
      };
    },
  },
  o = e._export_sfc(n, [["__scopeId", "data-v-fa16f1de"]]);
wx.createComponent(o);
